#include <iostream>
#include <map>
#include <iterator>
#include <vector>
#include <limits>

using namespace std;

int main()
{
    long long int n, i, j, o, l, br=0, a, b;
    long long int x[1501], y[1501], m[1501][1501];
    long double k;
    map<long double, long long int> mapa;
    cin >> n;
    for(i=0;i<n;i++)
    {
        cin >> x[i];
        cin >> y[i];
    }
    for(i=0;i<n;i++)
    {
        for(j=i+1;j<n;j++)
        {
            k = y[j] - y[i];
            k /= (x[j] - x[i]);
            if(x[j]==x[i])
            {
                k = LONG_LONG_MIN;
            }
            if(mapa.find(k)!=mapa.end())
            {
                mapa.find(k)->second++;
            }
            else
            {
                mapa.insert({k, 1});
            }
            m[i][j]=k;
        }
    }
    for(i=0;i<n;i++)
    {
        for(j=i+1;j<n;j++)
        {
            if(mapa.find(m[i][j])->second>1)
            {
                for(o=0;o<n;o++)
                {
                    if(o!=i && o!=j)
                    {
                        for(l=o+1;l<n;l++)
                        {
                            if(l!=i && l!=j)
                            {
                                if(m[i][j]==m[o][l])
                                {
                                    a = (x[i]-x[j]) * (x[i]-x[j]) + (y[i]-y[j]) * (y[i]-y[j]);
                                    b = (x[o]-x[l]) * (x[o]-x[l]) + (y[o]-y[l]) * (y[o]-y[l]);
                                    if(a==4*b || b == 4*a)
                                    {
                                        br++;
                                    }
                                }
                            }
                        }
                    }
                }
            }
        }
    }
    cout << br / 2 << endl;
}